# ApplicationFramework
TKCDF
LDOM

# LDOM_Comment Class Reference

`#include <LDOM_Comment.hxx>`

Inheritance diagram for LDOM_Comment:

[legend]

## Public Member Functions

| LDOM_Comment ()
| LDOM_Comment (const LDOM_Comment &theOther)
LDOM_Comment & | operator= (const LDOM_NullPtr *theNull)
LDOM_Comment & | operator= (const LDOM_Comment &theOther)

## Protected Member Functions

| LDOM_Comment (const LDOM_BasicText &theText, const Handle(LDOM_MemManager)&theDoc)

## Constructor & Destructor Documentation

LDOM_Comment::LDOM_Comment | ( |  | ) | `[inline]`

LDOM_Comment::LDOM_Comment | ( | const LDOM_Comment & | theOther | ) | `[inline]`

LDOM_Comment::LDOM_Comment | ( | const LDOM_BasicText & | theText,
|  | const Handle(LDOM_MemManager)& | theDoc
| ) | `[inline, protected]`

## Member Function Documentation

LDOM_Comment& LDOM_Comment::operator= | ( | const LDOM_Comment & | theOther | ) | `[inline]`

LDOM_Comment& LDOM_Comment::operator= | ( | const LDOM_NullPtr * | theNull | ) | `[inline]`

| Reimplemented from LDOM_CharacterData.

The documentation for this class was generated from the following file:

- LDOM_Comment.hxx